com.smartgwt.client.types

## Enum FetchMode

- java.lang.Object
- - java.lang.Enum<FetchMode>
  - - com.smartgwt.client.types.FetchMode

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<FetchMode>

      public enum FetchMode
      extends java.lang.Enum<FetchMode>
      implements ValueEnum

  Mode of fetching records from the server.

  Generally, "paged" mode should be used unless the maximum number of records is guaranteed to be small.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASIC` All records that match the current filter are fetched.
    `LOCAL` All records available from the DataSource are fetched.
    `PAGED` Only requested ranges of records are fetched, with predictive fetch ahead.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static FetchMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FetchMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASIC

          public static final FetchMode BASIC

      All records that match the current filter are fetched. Sorting is performed on the client.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "basic".

    - #### PAGED

          public static final FetchMode PAGED

      Only requested ranges of records are fetched, with predictive fetch ahead. Sorting is performed on the server.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "paged".

    - #### LOCAL

          public static final FetchMode LOCAL

      All records available from the DataSource are fetched. Filtering by search criteria and sorting are both performed on the client.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "local".

  - ### Method Detail

    - #### values

          public static FetchMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FetchMode c : FetchMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FetchMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`